#:import strs sstrings
#:include extraclasses.kv

<Sampler>:
    padding: self.width*0.03
    canvas.before:
        Color:
            rgb: 1,1,1
        Rectangle:
            size: self.size
            pos: self.pos
    orientation: "vertical"
    BoxLayout:
        id: top_bar
        size_hint_y: 0.1
        canvas.before:
            Color:
                rgb: 1,1,1
            Rectangle:
                size:self.size
                pos: self.pos
        BoxLayout:
            size_hint_x: .2
            orientation:"vertical"
            canvas.before:
                Color:
                    rgb: 1,1,1
                Rectangle:
                    size:self.size
                    pos: self.pos
            Label_f:
                id:lb_serial
            Label_f:
                id:lb_date
            Label_f:
                id:lb_time

        BoxLayout:
            orientation: "vertical"
            size_hint_x: .2
            canvas.before:
                Color:
                    rgb: 1,1,1
                Rectangle:
                    size:self.size
                    pos: self.pos
            Label_f:
                text: strs.num
            Label_f:
                text: strs.date
            Label_f:
                text: strs.time

        BoxLayout:
            orientation: "vertical"
            size_hint_x: .4
            canvas.before:
                Color:
                    rgb: 1,1,1
                Rectangle:
                    size:self.size
                    pos: self.pos
            BoxLayout:
                Label:
                    color: (0,0,0,1)
                    size_hint_x:0.4
                    font_size: self.height*0.4
                    text: "MR.PC"
                Label_f:
                    font_size: self.height*0.35
                    text: strs.desmr
            Label_f:
                font_size: self.height*0.6
                text: strs.moshtari

        BoxLayout:
            size_hint_x: .1
            canvas.before:
                Color:
                    rgb: 1,1,1
                Rectangle:
                    size:self.size
                    pos: self.pos
        BoxLayout:
            size_hint_x: .2
            canvas.before:
                Color:
                    rgb: 1,1,1
                Rectangle:
                    size:self.size
                    pos: self.pos
            Label:
                Image:
                    center: self.parent.center
                    source: "logo.jpg"



    BoxLayout:
        id: main_bar
        orientation: "vertical"
        size_hint_y: 0.3
        canvas.before:
            Color:
                rgb: 1,1,1
            Rectangle:
                size:self.size
                pos: self.pos
            Color:
                rgb: 0,0,0
            Line:
                width: 1.5
                rectangle: self.x,self.y,self.width,self.height

        BoxLayout:
            orientation: "vertical"
            size_hint_y: 0.4
            canvas.before:
                Color:
                    rgb: 0,0,0
                Line:
                    width:1.5
                    points: self.x,self.y,self.x+self.width,self.y
            BoxLayout:
                Num_text:
                    id: mobile
                    focus_next : root.ids.addr
                    focus_previous : root.ids.hometel
                Label_f:
                    text: strs.mobile
                Num_text:
                    id: hometel
                    focus_next : root.ids.mobile
                    focus_previous : root.ids.name
                Label_f:
                    text: strs.hometel
                Text_f:
                    id: name
                    focus_next : root.ids.hometel

                Label_f:
                    text: strs.name
            BoxLayout:
                Text_f:
                    id: addr
                    max_chars:100
                Label_f:
                    text: strs.address
                    size_hint_x: 0.2

        BoxLayout:
            size_hint_y: 0.2
            Label_f_d:
                size_hint_x:0.17
                text: strs.desceribtion

            Label_f_d:
                size_hint_x:0.18
                text: strs.irad
            Label_f_d:
                size_hint_x:0.08
                text: strs.peigiri
            Label_f_d:
                size_hint_x:0.08
                text: strs.cost
                font_size: self.height *0.32
            Label_f_d:
                size_hint_x:0.04
                text:strs.serial
            Label_f_d:
                size_hint_x:0.06
                text:strs.model
            Label_f_d:
                size_hint_x:0.06
                text: strs.stype
            Label_f_d:
                size_hint_x:0.02
                text: strs.radif
        StackLayout:
            id: services
            orientation: 'tb-rl'
            spacing: 4
            Item:
        Button:
            margin: (4,4)
            size_hint:0.9,0.1
            id: add_new_service
            text: "Add New"
            on_release: root.add_item()
            pos_hint:{"center_x":0.5}












